Bug 75664 - Create net/mldonkey-{,core-,gui-}devel ports from net/mldonkey{,-core,-gui}
Summary: Create net/mldonkey-{,core-,gui-}devel ports from net/mldonkey{,-core,-gui}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-30 17:50 UTC by Mario Sergio Fujikawa Ferreira
Modified: 2005-04-03 00:14 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (409 bytes, patch)
2004-12-30 17:50 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff
file.diff (5.42 KB, patch)
2004-12-30 17:50 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff
file.diff (397 bytes, patch)
2004-12-30 17:50 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff
file.diff (402 bytes, patch)
2004-12-30 17:50 UTC, Mario Sergio Fujikawa Ferreira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sergio Fujikawa Ferreira freebsd_committer 2004-12-30 17:50:28 UTC
	The current mldonkey version available in the net/mldonkey
port is not the one currently advised by the developers.

	They have been advising users to run the the development
versions. However, it has been a long standing FreeBSD ports tradition
to provide stable versions per default and; optionaly, development
versions.

	Therefore, I would like to create development (-devel)
versions of our current mldonkey ports.

	This addition requires the following repo copies:

	net/mldonkey		->	net/mldonkey-devel
	net/mldonkey-core	->	net/mldonkey-core-devel
	net/mldonkey-gui	->	net/mldonkey-gui-devel

	Patches are supplied to be applied after the repo copies:

	net/mldonkey		->	patch-mldonkey
	net/mldonkey-devel	->	patch-mldonkey-devel
	net/mldonkey-core-devel	->	patch-mldonkey-core-devel
	net/mldonkey-gui-devel	->	patch-mldonkey-gui-devel

	I kept the previous MAINTAINER in the Makefiles. However,
I do not mind maintaining these development versions if that is
okay with the maintainer. I do understand, however, that it might
be easier for the current maintainer to keep them all together. :)
This should be at his discretion.

Fix: In case the patches break when attached, grab a copy at
http://people.FreeBSD.org/~lioux/patch-mldonkey-devel.tbz
MD5 (patch-mldonkey-devel.tbz) = e21b01786a1715a5e1aa2f1aee5798b2
How-To-Repeat: 
	Repo copy then apply the attached patches.
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2004-12-30 18:45:00 UTC
	I will set maintainer to myself meanwhile. I will reset it
to net/mldonkey maintainer as soon as I hear from him if that is
his wish.

-- 
Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
feature, n: a documented bug | bug, n: an undocumented feature
Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2004-12-30 19:05:43 UTC
State Changed
From-To: open->repocopy

Repocopy request
Comment 3 Mario Sergio Fujikawa Ferreira freebsd_committer 2004-12-30 19:05:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer
Comment 4 Joe Marcus Clarke freebsd_committer 2005-01-08 20:59:00 UTC
State Changed
From-To: repocopy->open

Repo-copies completed. 


Comment 5 Joe Marcus Clarke freebsd_committer 2005-01-08 20:59:00 UTC
Responsible Changed
From-To: portmgr->lioux

Repo-copies completed.
Comment 6 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-01-09 04:10:30 UTC
State Changed
From-To: open->repocopy

Repocopy request for net/mldonkey-gui to net/mldonkey-gui-devel missing
Comment 7 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-01-09 04:12:29 UTC
Responsible Changed
From-To: lioux->portmgr

Portmgr's territory
Comment 8 Joe Marcus Clarke freebsd_committer 2005-01-09 05:25:11 UTC
State Changed
From-To: repocopy->open

Repo-copy complete. 


Comment 9 Joe Marcus Clarke freebsd_committer 2005-01-09 05:25:11 UTC
Responsible Changed
From-To: portmgr->lioux

Repo-copy complete.
Comment 10 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-01-13 13:51:34 UTC
State Changed
From-To: open->feedback

Waiting for net/mldonkey maintainer feedback
Comment 11 Mario Sergio Fujikawa Ferreira freebsd_committer 2005-04-03 00:14:47 UTC
State Changed
From-To: feedback->closed

Maintainer timeout (2 months)